/*----------------------------------------------------------------------------*\
 * STYLESHEET:  LifeSupportCalc.css
 * PURPOSE:     Old-web style spacecraft life-support calculator.
 * TYPE:        text/css
 * DATE:        2026/05/09
 * NOTES:       Loosely modelled after Theodore W. Hall's SpinCalc presentation.
\*----------------------------------------------------------------------------*/

BODY        { quotes:           "\201C" "\201D" "\2018" "\2019";
              color:            black;
              background-color: white;
              font-family:      serif; }

EM          { font-style:       italic; }
STRONG      { font-weight:      bold; }
SMALL       { font-size:        85%; }
HR          { margin-top:       1em;
              margin-bottom:    0em; }

FORM        { color:            black;
              background-color: silver;
              margin-left:      0em;
              margin-right:     0em;
              padding-left:     1em;
              padding-right:    1em;
              padding-top:      0em;
              padding-bottom:   1em; }

HR.fieldsep { margin-top:       0em;
              margin-bottom:    0em; }

DIV.banner  { text-align:       center;
              margin:           auto; }

DIV.warning { color:            black;
              background-color: #ffffcc;
              border:           1px solid black;
              padding:          0.5em;
              margin-top:       1em;
              margin-bottom:    0em; }

DIV.results { color:            black;
              background-color: #eeeeee;
              border:           1px solid gray;
              padding:          0.5em;
              margin-top:       1em;
              margin-bottom:    0em; }

DIV.subbox  { color:            black;
              background-color: #dddddd;
              border:           1px dotted gray;
              padding:          0.5em;
              margin-top:       0.5em;
              margin-bottom:    0em; }

INPUT       { color:            black;
              background-color: white;
              display:          inline;
              vertical-align:   middle; }

SELECT      { color:            black;
              background-color: white;
              display:          inline;
              vertical-align:   middle; }

TEXTAREA    { color:            black;
              background-color: white;
              display:          block; }

TABLE       { margin-top:       1em;
              margin-bottom:    0em;
              border-collapse:  collapse; }

TABLE.out   { background-color: white;
              border:           1px solid black; }

TABLE.out TH { color:           black;
               background-color:#d0d0d0;
               border:          1px solid black;
               padding-left:    0.4em;
               padding-right:   0.4em;
               padding-top:     0.2em;
               padding-bottom:  0.2em; }

TABLE.out TD { border:          1px solid black;
               padding-left:    0.4em;
               padding-right:   0.4em;
               padding-top:     0.2em;
               padding-bottom:  0.2em; }

TD.num       { text-align:      right;
               white-space:     nowrap; }
TD.note      { font-size:       90%; }

IMG          { border-width:    0px;
               border-style:    none;
               display:         inline; }
IMG.anchor   { color:           #fefefe;
               background-color:#ffffff; }
IMG.led      { text-align:      left;
               vertical-align:  middle; }

H1 { text-align:          center;
     margin-left:         auto;
     margin-right:        auto;
     margin-top:          0em;
     margin-bottom:       0em; }

H2 { text-align:          left;
     margin-left:         0em;
     margin-right:        auto;
     margin-top:          1em;
     margin-bottom:       0em; }

H3 { text-align:          left;
     margin-left:         0;
     margin-right:        auto;
     margin-top:          1em;
     margin-bottom:       0em; }

P            { text-align:      left;
               text-indent:     0em;
               margin-left:     0em;
               margin-right:    auto;
               margin-top:      1em;
               margin-bottom:   0em; }

P.banner     { text-align:      center;
               margin-left:     auto;
               margin-right:    auto;
               margin-top:      0em;
               margin-bottom:   2em; }

P.copyright  { margin-left:     2em;
               margin-right:    2em;
               margin-top:      2em;
               margin-bottom:   0em; }

P.led-def    { text-indent:    -2em;
               padding-left:    3em;
               padding-right:   0em;
               padding-top:     0em;
               padding-bottom:  0em; }

P.biblio      { text-indent:   -2em;
                padding-left:   2em;
                padding-right:  0em;
                padding-top:    0em;
                padding-bottom: 0em;
                margin-left:    0em;
                margin-right:   0em;
                margin-top:     1em;
                margin-bottom:  0em; }

P.caption    { font-size:       90%;
               margin-top:      0.25em; }

TH           { vertical-align:  top; }
TD           { vertical-align:  top; }

SPAN.bad     { color:           red;
               background-color: inherit;
               font-weight:     bold; }
SPAN.warn    { color:           #996600;
               background-color: inherit;
               font-weight:     bold; }
SPAN.good    { color:           green;
               background-color: inherit;
               font-weight:     bold; }
SPAN.mono    { font-family:     monospace; }

VAR.vector { font-style:  normal;
             font-weight: bold; }

VAR.scalar { font-style:  italic;
             font-weight: normal; }

A:link    { color:            blue;
            background-color: white;
            text-decoration:  none;
            text-transform:   inherit; }

A:visited { color:            purple;
            background-color: white;
            text-decoration:  none;
            text-transform:   inherit; }

A:hover   { color:            blue;
            background-color: yellow;
            text-decoration:  none;
            text-transform:   inherit; }

A:active  { color:            blue;
            background-color: yellow;
            text-decoration:  underline;
            text-transform:   inherit; }

A.textbtn:link    { color:            blue;
                    background-color: silver;
                    font-weight:      bold;
                    text-decoration:  none;
                    text-transform:   none; }
A.textbtn:visited { color:            purple;
                    background-color: silver;
                    font-weight:      bold;
                    text-decoration:  none;
                    text-transform:   none; }
A.textbtn:hover   { color:            blue;
                    background-color: yellow;
                    font-weight:      bold;
                    text-decoration:  none;
                    text-transform:   none; }
A.textbtn:active  { color:            black;
                    background-color: lime;
                    font-weight:      bold;
                    text-decoration:  none;
                    text-transform:   none; }
